Bug 212790 - audio/libofa : switch from GOOGLE_CODE to USE_GITHUB
Summary: audio/libofa : switch from GOOGLE_CODE to USE_GITHUB
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jason E. Hale
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-18 10:45 UTC by Tobias C. Berner
Modified: 2016-12-22 05:32 UTC (History)
2 users (show)

See Also:


Attachments
switch to USE_GITHUB (1.03 KB, patch)
2016-09-18 10:45 UTC, Tobias C. Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2016-09-18 10:45:40 UTC
Created attachment 174905 [details]
switch to USE_GITHUB

In r422140 audio/libofa was marked BROKEN, as GOOGLE_CODE has gone swimming with the fishes. 

The project is available on github via tanob/libofa [1]. It seems the to be the best thing I could find at the moment. 


The attached patch fetches from the intial commit made into the repo, which according to `diff -ruN libofa-git libofa-0.9.3` is identical to the sources
in the tarball used previously.


[1] https://github.com/tanob/libofa
Comment 1 John Marino freebsd_committer 2016-09-20 14:32:48 UTC
reassign to the listed maintainer (jhale)
Comment 2 commit-hook freebsd_committer 2016-09-20 17:59:19 UTC
A commit references this bug:

Author: marino
Date: Tue Sep 20 17:58:41 UTC 2016
New revision: 422530
URL: https://svnweb.freebsd.org/changeset/ports/422530

Log:
  audio/libofa: new fedora MASTER_SITES to unbreak

  PR:	212790 (related)

Changes:
  head/audio/libofa/Makefile
Comment 3 David Naylor freebsd_committer 2016-12-22 05:31:39 UTC
Committed, thanks.
Comment 4 commit-hook freebsd_committer 2016-12-22 05:32:23 UTC
A commit references this bug:

Author: dbn
Date: Thu Dec 22 05:31:22 UTC 2016
New revision: 429142
URL: https://svnweb.freebsd.org/changeset/ports/429142

Log:
  audio/libofa: fetch source from github.

   - Use github instead of fedora mirror to ensure we detect any future
     releases.
   - NOTE: it appears the www.musicdns.org website is no longer functioning
     and this port may need to be depreciated if no other service is available

  PR:		212790
  Submitted by:	tcberner
  Approved by:	jhale (maintainer timeout: 13 weeks)

Changes:
  head/audio/libofa/Makefile
  head/audio/libofa/distinfo